For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
      • POSTCreate a membership
      • PUTBulk update memberships
      • PUTUpdate a membership
      • GETGet pinned views for a membership
      • PUTUpdate pinned views for a membership
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Users & OrganizationsMemberships

Update pinned views for a membership

||View as Markdown|
PUT
https://api.close.com/api/v1/membership/:id/pinned_views/
PUT
/api/v1/membership/:id/pinned_views/
$curl -X PUT https://api.close.com/api/v1/membership/id/pinned_views/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "saved_view_ids": [
> "save_LCt6QxYsDbdJfMiIkLjBFJBkJTwS9TufXu3nSkHopXM",
> "save_Ova4RKAzzFWejVEMUpDBFzB4YV3ObgCJUY1TpDK0ZGa",
> "save_Ova689zHHpAVwvHthafS1NOatGFYsBGtyKxFt7Ujg7t"
> ]
>}'
1{
2 "saved_view_ids": [
3 "save_LCt6QxYsDbdJfMiIkLjBFJBkJTwS9TufXu3nSkHopXM",
4 "save_Ova4RKAzzFWejVEMUpDBFzB4YV3ObgCJUY1TpDK0ZGa",
5 "save_Ova689zHHpAVwvHthafS1NOatGFYsBGtyKxFt7Ujg7t"
6 ]
7}
Set the pinned views for the given membership. Provide an ordered list that will overwrite the entire current list.
Was this page helpful?
Previous

Get pinned views for a membership

Next

Roles

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
saved_view_idslist of stringsRequired

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error